SPIC(4)

NAME
spic - Sony Programmable I/O Controller

SYNOPSIS
spic* at acpi?
wsmouse* at spic?

DESCRIPTION
Some Sony computers have an I/O controller that handles various interface devices, e.g., the jog dial. The spic driver provides support for some of these.

The actual protocol used by the SPIC seems to vary a lot between different models; this driver has only been tested on the Vaio SRX77.

The spic driver handles the jog dial and its associated buttons. They are turned into a wsmouse which can the be accessed in the normal way. The jog dial works as a scroll button, and clicking it generates a click with the "middle" button.

SEE ALSO
acpi(4), sony(4), wsmouse(4)

HISTORY
The spic driver appeared in NetBSD 1.6.

BUGS
The spic driver only works with some hardware configurations.